Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl.standardization
Class SystemObjectField

    java.lang.Object
      com.sun.mdm.index.configurator.impl.standardization.SystemObjectField

public class SystemObjectField
extends java.lang.Object

Represents the definition of a SystemObject field used in the configuration.

Constructor Summary
`SystemObjectField()` Creates new SystemObjectField instance
`SystemObjectField(java.lang.String qualifiedName)` Creates new SystemObjectField.

Method Summary
`EPath` | `getEPath()` Getter for the EPath, representing a parsed version of the qualifiedName.
`int` | `getFieldSize()` Getter for FieldSize attribute.
`java.lang.String` | `getQualifiedName()` Getter for QualifiedName attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemObjectField

    public SystemObjectField()

  Creates new SystemObjectField instance

### SystemObjectField

    public SystemObjectField(java.lang.String qualifiedName)
                      throws ConfigurationException

  Creates new SystemObjectField.

  Parameters:
    `qualifiedName` - The qualifiedName of the SystemObject field.
  Throws:
    `ConfigurationException` - if the qualifiedName could not be parsed into an EPath.

Method Detail

### getEPath

    public EPath getEPath()

  Getter for the EPath, representing a parsed version of the qualifiedName.

  Returns:
    the EPath to access the field on the SystemObject

### getFieldSize

    public int getFieldSize()

  Getter for FieldSize attribute.

  Returns:
    the maximum field size of the SystemObject field.

### getQualifiedName

    public java.lang.String getQualifiedName()

  Getter for QualifiedName attribute.

  Returns:
    the qualified name of the SystemObject field as a String, qualified as in it includes the name of the primary object such as Person.FirstName This is the String version of the ePath and includes decorators such as [*].

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.